lower.tri {spam} | R Documentation

## Lower and Upper Triangular Part of a Sparse Matrix

### Description

Returns the lower or upper triangular structure or entries of a sparse matrix.

### Usage

    lower.tri(x, diag = FALSE)
    upper.tri(x, diag = FALSE)

### Arguments

`x` | a sparse matrix of class `spam`
`diag` | logical. Should the diagonal be included?

### Details

Often not only the structure of the matrix is required but the entries as well. For compatibility, the default is only a structure consisting of ones (representing `TRUE`s). Setting the flag `getOption( "spam.trivalues")` to `TRUE`, the function returns the actual values.

### See Also

`spam.options` and `diag`

### Examples

    smat <- spam( c( 1,2,0,3,0,0,0,4,5),3)
    upper.tri( smat)
    upper.tri( smat, diag=TRUE)

    options(spam.trivalues=TRUE)
    upper.tri( smat)

[Package spam version 2.2-2 Index]